> For the complete documentation index, see [llms.txt](https://apidocs.juicefin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.juicefin.com/apis/administration/validate-product-type.md).

# Validate Product Type

## Validate Product Type

The Validate Product Type API checks that the requesting user parent organization can work with the requested product type.

## Input Parameters:

| Name            | Required | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                           | Comments |
| --------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| CardNumber      | Y        | Format: Numeric, 16                                                                                                                                                                                                                                                                                                                                                                                                                                  |          |
| ProductTypeName | Y        | <p>Format: Alphanumeric, 1-120<br>Description: Each sub program in Praxell consists of one or more product types.<br>A product type is a set of attributes that are applied to the cards that belong to this product type.<br>The <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">ProductTypeName</a> field is the name of the product used when creating and issuing cards.</p> |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>ZZ_QA_Test1_FBZ</UserName>
    <UserPassword>1q2w3e4r</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <UniqueRequestId>947652</UniqueRequestId>
    <ServiceName>ValidateProductType</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <CardNumber></CardNumber>
    <ProductTypeName></ProductTypeName>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
 <PraxellXMLResponse> 
<ResponseDetails>
  <ServiceName>ValidateProductType</ServiceName>
  <SessionId>29838011200801030</SessionId>
  <StatusCode>0</StatusCode>
  <StatusName>StatusOK</StatusName>
  <StatusDescription>NA</StatusDescription>
  <ServiceDate>2008-03-11 11:01:02</ServiceDate>
  <ServiceId>29838011200801030</ServiceId>
</ResponseDetails>
<ResponseParams />
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ValidateProductType</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/validate-product-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
